Determining if the pthread_create exist failed with the following output:
Change Dir: /mnt/a666854b-88ec-4fb7-9cc5-c167acbd5e9c/home/bart/git/TDT4230-Assignment-2-solution/build/CMakeFiles/CMakeTmp

Run Build Command:"/usr/bin/make" "cmTC_ebcb5/fast"
/usr/bin/make -f CMakeFiles/cmTC_ebcb5.dir/build.make CMakeFiles/cmTC_ebcb5.dir/build
make[1]: Entering directory '/mnt/a666854b-88ec-4fb7-9cc5-c167acbd5e9c/home/bart/git/TDT4230-Assignment-2-solution/build/CMakeFiles/CMakeTmp'
Building C object CMakeFiles/cmTC_ebcb5.dir/CheckSymbolExists.c.o
/usr/bin/cc    -o CMakeFiles/cmTC_ebcb5.dir/CheckSymbolExists.c.o   -c /mnt/a666854b-88ec-4fb7-9cc5-c167acbd5e9c/home/bart/git/TDT4230-Assignment-2-solution/build/CMakeFiles/CMakeTmp/CheckSymbolExists.c
Linking C executable cmTC_ebcb5
/usr/bin/cmake -E cmake_link_script CMakeFiles/cmTC_ebcb5.dir/link.txt --verbose=1
/usr/bin/cc      -rdynamic CMakeFiles/cmTC_ebcb5.dir/CheckSymbolExists.c.o  -o cmTC_ebcb5 
CMakeFiles/cmTC_ebcb5.dir/CheckSymbolExists.c.o: In function `main':
CheckSymbolExists.c:(.text+0x1b): undefined reference to `pthread_create'
collect2: error: ld returned 1 exit status
CMakeFiles/cmTC_ebcb5.dir/build.make:97: recipe for target 'cmTC_ebcb5' failed
make[1]: *** [cmTC_ebcb5] Error 1
make[1]: Leaving directory '/mnt/a666854b-88ec-4fb7-9cc5-c167acbd5e9c/home/bart/git/TDT4230-Assignment-2-solution/build/CMakeFiles/CMakeTmp'
Makefile:126: recipe for target 'cmTC_ebcb5/fast' failed
make: *** [cmTC_ebcb5/fast] Error 2

File /mnt/a666854b-88ec-4fb7-9cc5-c167acbd5e9c/home/bart/git/TDT4230-Assignment-2-solution/build/CMakeFiles/CMakeTmp/CheckSymbolExists.c:
/* */
#include <pthread.h>

int main(int argc, char** argv)
{
  (void)argv;
#ifndef pthread_create
  return ((int*)(&pthread_create))[argc];
#else
  (void)argc;
  return 0;
#endif
}

Determining if the function pthread_create exists in the pthreads failed with the following output:
Change Dir: /mnt/a666854b-88ec-4fb7-9cc5-c167acbd5e9c/home/bart/git/TDT4230-Assignment-2-solution/build/CMakeFiles/CMakeTmp

Run Build Command:"/usr/bin/make" "cmTC_0a543/fast"
/usr/bin/make -f CMakeFiles/cmTC_0a543.dir/build.make CMakeFiles/cmTC_0a543.dir/build
make[1]: Entering directory '/mnt/a666854b-88ec-4fb7-9cc5-c167acbd5e9c/home/bart/git/TDT4230-Assignment-2-solution/build/CMakeFiles/CMakeTmp'
Building C object CMakeFiles/cmTC_0a543.dir/CheckFunctionExists.c.o
/usr/bin/cc   -DCHECK_FUNCTION_EXISTS=pthread_create   -o CMakeFiles/cmTC_0a543.dir/CheckFunctionExists.c.o   -c /usr/share/cmake-3.10/Modules/CheckFunctionExists.c
Linking C executable cmTC_0a543
/usr/bin/cmake -E cmake_link_script CMakeFiles/cmTC_0a543.dir/link.txt --verbose=1
/usr/bin/cc  -DCHECK_FUNCTION_EXISTS=pthread_create    -rdynamic CMakeFiles/cmTC_0a543.dir/CheckFunctionExists.c.o  -o cmTC_0a543 -lpthreads 
/usr/bin/ld: cannot find -lpthreads
collect2: error: ld returned 1 exit status
CMakeFiles/cmTC_0a543.dir/build.make:97: recipe for target 'cmTC_0a543' failed
make[1]: *** [cmTC_0a543] Error 1
make[1]: Leaving directory '/mnt/a666854b-88ec-4fb7-9cc5-c167acbd5e9c/home/bart/git/TDT4230-Assignment-2-solution/build/CMakeFiles/CMakeTmp'
Makefile:126: recipe for target 'cmTC_0a543/fast' failed
make: *** [cmTC_0a543/fast] Error 2


